{% extends "base.html.j2" %}
{% block meta %}
<link rel="stylesheet" type="text/css" href="/static/css/media.css" />
<link rel="stylesheet" type="text/css" href="/static/css/dashboard.css" />
{% endblock %}

{% block content %}
    <div id="sticky_anchor"></div>
    <div id="account_scroll" class="block">
        <div class="page_loading light_blue"></div>
        <div class="inner_content">
            <div class="content">
                <ul class="user_menu menu">

                    <li class="border_color light_blue selected"><a href="{{url_for('panel_content')}}">Contenido</a></li>
                    {% if current_user.is_mod() %}
                    <li class="border_color light_blue"><a href="{{url_for('panel_mod')}}">Moderar</a></li>
                    {% endif %}
                    {% if current_user.is_admin() %}
                    <li class="border_color light_blue"><a href="{{url_for('panel_admin')}}">Administrar</a></li>
                    {% endif %}

                </ul>
            </div>
        </div>
    </div>

    <div class="account_page_data">
        <div class="inner_block">
            <div class="inner_content">
                <div class="content">
                    <div class="title_header">
                        <div class="title_group">

                            <h2>Contenido</h2>

                            <div>
                                {% if media_type == "peli" %}
                                <h3 class="scroll border_color light_blue on">
                                    <a href="{{url_for('panel_content', media_type="pelis")}}">Películas
                                        <span class="color light_blue">{{user.uploads("pelis")|length}}</span>
                                    </a>
                                </h3>

                                <h3 class="scroll border_color light_blue">
                                    <a href="{{url_for('panel_content', media_type="series")}}">Series
                                        <span class="color light_blue">{{user.uploads("series")|length}}</span>
                                    </a>
                                </h3>

                                <h3 class="scroll border_color light_blue">
                                    <a href="{{url_for('panel_content', media_type="animes")}}">Animes
                                        <span class="color light_blue">{{user.uploads("animes")|length}}</span>
                                    </a>
                                </h3>

                                <h3 class="scroll border_color light_blue">
                                    <a href="{{url_for('panel_content', media_type="documentales")}}">Documentales
                                        <span class="color light_blue">{{user.uploads("documentales")|length}}</span>
                                    </a>
                                </h3>

                                {% elif media_type == "serie" %}
                                <h3 class="scroll border_color light_blue">
                                    <a href="{{url_for('panel_content', media_type="pelis")}}">Películas
                                        <span class="color light_blue">{{user.uploads("pelis")|length}}</span>
                                    </a>
                                </h3>

                                <h3 class="scroll border_color light_blue on">
                                    <a href="{{url_for('panel_content', media_type="series")}}">Series
                                        <span class="color light_blue">{{user.uploads("series")|length}}</span>
                                    </a>
                                </h3>

                                <h3 class="scroll border_color light_blue">
                                    <a href="{{url_for('panel_content', media_type="animes")}}">Animes
                                        <span class="color light_blue">{{user.uploads("animes")|length}}</span>
                                    </a>
                                </h3>

                                <h3 class="scroll border_color light_blue">
                                    <a href="{{url_for('panel_content', media_type="documentales")}}">Documentales
                                        <span class="color light_blue">{{user.uploads("documentales")|length}}</span>
                                    </a>
                                </h3>

                                {% elif media_type == "anime" %}
                                <h3 class="scroll border_color light_blue">
                                    <a href="{{url_for('panel_content', media_type="pelis")}}">Películas
                                        <span class="color light_blue">{{user.uploads("pelis")|length}}</span>
                                    </a>
                                </h3>

                                <h3 class="scroll border_color light_blue">
                                    <a href="{{url_for('panel_content', media_type="series")}}">Series
                                        <span class="color light_blue">{{user.uploads("series")|length}}</span>
                                    </a>
                                </h3>

                                <h3 class="scroll border_color light_blue on">
                                    <a href="{{url_for('panel_content', media_type="animes")}}">Animes
                                        <span class="color light_blue">{{user.uploads("animes")|length}}</span>
                                    </a>
                                </h3>

                                <h3 class="scroll border_color light_blue">
                                    <a href="{{url_for('panel_content', media_type="documentales")}}">Documentales
                                        <span class="color light_blue">{{user.uploads("documentales")|length}}</span>
                                    </a>
                                </h3>

                                {% else %}
                                <h3 class="scroll border_color light_blue">
                                    <a href="{{url_for('panel_content', media_type="pelis")}}">Películas
                                        <span class="color light_blue">{{user.uploads("pelis")|length}}</span>
                                    </a>
                                </h3>

                                <h3 class="scroll border_color light_blue">
                                    <a href="{{url_for('panel_content', media_type="series")}}">Series
                                        <span class="color light_blue">{{user.uploads("series")|length}}</span>
                                    </a>
                                </h3>

                                <h3 class="scroll border_color light_blue">
                                    <a href="{{url_for('panel_content', media_type="animes")}}">Animes
                                        <span class="color light_blue">{{user.uploads("animes")|length}}</span>
                                    </a>
                                </h3>

                                <h3 class="scroll border_color light_blue on">
                                    <a href="{{url_for('panel_content', media_type="documentales")}}">Documentales
                                        <span class="color light_blue">{{user.uploads("documentales")|length}}</span>
                                    </a>
                                </h3>
                                {% endif %}
                            </div>
                        </div>
                    </div>

                    <div class="items_wrapper">
                        <br>
                        {% if uploads.items|length < 1 %}
                        <p>Aún no tienes contenido</p>
                        {% else %}
                        <div class="results_page">

                            {% for item in uploads.items %}

                            <div class="card v4">
                                <div class="image">
                                    <div class="poster">

                                            {% if media_type == "peli" %}
                                            <a href="/{{item.media.media_type}}/{{item.media.title_unique}}">
                                            <img
                                            style="background:url('data:image/png;base64, {{item.media.lposter_b64}}')"
                                            class="poster fade lazyautosizes lazyloaded"
                                            alt="{{item.media.title}}"
                                            sizes="150px"
                                            src="/static/img/overlays/{{item.quality}}_{{item.audio}}_{{item.subtitle}}.png"
                                            title="{{item.quality}} | {{item.audio}}">
                                            </a>
                                            {% else %}
                                            <a href="{{url_for('chapters',
                                                media_type=item.media.media_type,
                                                title_unique=item.media.title_unique,
                                                season=item.episode.season,
                                                chapter=item.episode.chapter,
                                                )}}"
                                            >
                                            <img
                                            style="background:url('data:image/png;base64, {{item.episode.poster_b64}}')"
                                            class="poster fade lazyautosizes lazyloaded"
                                            alt="{{item.episode.title}}"
                                            sizes="150px"
                                            src="/static/img/overlays/{{item.quality}}_{{item.audio}}_{{item.subtitle}}.png"
                                            title="{{item.quality}} | {{item.audio}}">
                                            </a>
                                            {% endif %}
                                    </div>
                                </div>

                                <div class="details">
                                    <div class="flex_space_between">
                                        <div class="wrapper">
                                            <div class="consensus tight">
                                                <div class="outer_ring">
                                                {% if media_type == "peli" %}
                                                    <div class="user_score_chart {{item.hash}}"
                                                         data-percent="{{item.media.score}}"
                                                         data-track-color="#204529" data-bar-color="#21d07a">
                                                        <div class="percent">
                                                            <span class="icon icon-r{{item.media.score|round|int}}"></span>
                                                        </div>
                                                        <canvas height="32" width="32"></canvas>
                                                        <canvas height="32" width="32"></canvas>
                                                        <canvas height="32" width="32"></canvas>
                                                    </div>
                                                {% else %}
                                                    <div class="user_score_chart {{item.episode.hash}}"
                                                    data-percent="{{item.episode.score}}"
                                                    data-track-color="#204529" data-bar-color="#21d07a">
                                                        <div class="percent">

                                                            <span class="icon icon-r{{item.episode.score|round|int}}"></span>

                                                        </div>
                                                        <canvas height="32" width="32"></canvas><canvas height="32" width="32"></canvas><canvas height="32" width="32"></canvas></div>
                                                {% endif %}
                                                </div>
                                            </div>

                                        {% if media_type == "peli" %}
                                        <div class="title">
                                            <a href="/{{item.media.media_type}}/{{item.media.title_unique}}">
                                                <h2>{{item.media.title}}</h2>
                                            </a>
                                            {% if   item.status == "ACTIVE" %}
                                                {% if item.strikes|length < 1 %}
                                                <h5>[Públicado]</h5>
                                                {% else %}
                                                <h5>[Públicado, con {{item.strikes|length}} de {{MAX_STRIKES}} strikes]</h5>
                                                {% endif %}
                                            {% elif item.status == "PREVIEW" %}
                                                <h5>[Vista Previa]</h5>
                                            {% elif item.status == "REPORTED" %}
                                                <h5>[En Moderación]</h5>
                                            {% elif item.status == "DCMA" %}
                                                <h5>[DCMA]</h5>
                                            {% endif %}
                                        </div>
                                        <span class="release_date">{{item.media.release_date.strftime('%b %d, %Y')}}</span>
                                        {% else %}
                                        <div class="title">
                                            <a href="{{url_for('chapters',
                                                media_type=item.media.media_type,
                                                title_unique=item.media.title_unique,
                                                season=item.episode.season,
                                                chapter=item.episode.chapter,
                                                )}}"
                                            >
                                                <h2>[{{item.episode.season}} / {{item.episode.chapter}}] - {{item.episode.title}}</h2>
                                            </a>
                                            {% if   item.status == "ACTIVE" %}
                                                {% if item.strikes|length < 1 %}
                                                <h5>[Públicado]</h5>
                                                {% else %}
                                                <h5>[Públicado, con {{item.strikes|length}} de {{MAX_STRIKES}} strikes]</h5>
                                                {% endif %}
                                            {% elif item.status == "PREVIEW" %}
                                                <h5>[Vista Previa]</h5>
                                            {% elif item.status == "REPORTED" %}
                                                <h5>[En Moderación]</h5>
                                            {% elif item.status == "DCMA" %}
                                                <h5>[DCMA]</h5>
                                            {% endif %}
                                        </div>
                                        <span class="release_date">{{item.episode.release_date.strftime('%b %d, %Y')}}</span>
                                        {% endif %}
                                    </div>

                                        {% if media_type == "peli" %}
                                        <div class="overview true" style="word-wrap: break-word;">
                                            <p>{{item.media.description|truncate(330)}}</p>
                                        </div>
                                        {% else %}
                                        <div class="overview true" style="word-wrap: break-word;">
                                            <p>{{item.episode.description|truncate(330)}}</p>
                                        </div>
                                        {% endif %}
                                    </div>

                                    <div class="action_bar">
                                        {% if media_type == "peli" %}
                                        <ul>
                                            <li><a class="list_item_rating" href="{{item.uri}}" target="_blank">
                                                <span class="glyphicons glyphicons-play"></span> {{item.provider()}}</a></li>
                                            {% if   item.status == "PREVIEW" %}
                                            <li><a class="publish_list_item"
                                                   href="{{url_for('upload_publish',
                                                    media_type=item.media.media_type,
                                                    title_unique=item.media.title_unique,
                                                    upload_hash=item.hash)}}"
                                                >
                                                <span class="glyphicons glyphicons-send"></span> Publicar</a></li>
                                            {% elif   item.status == "ACTIVE" %}
                                            <li><a class="unpublish_list_item"
                                                    href="{{url_for('upload_unpublish',
                                                    media_type=item.media.media_type,
                                                    title_unique=item.media.title_unique,
                                                    upload_hash=item.hash)}}"
                                                >
                                                <span class="glyphicons glyphicons-minus"></span> Desactivar</a></li>
                                            {% else %}
                                            <li><span class="glyphicons glyphicons-send"></span> Publicar</li>
                                            {% endif %}

                                            <li><a class="add_media_to_list"
                                                    href="{{url_for('upload_edit',
                                                    media_type=item.media.media_type,
                                                    title_unique=item.media.title_unique,
                                                    upload_hash=item.hash)}}"
                                                >
                                                <span class="glyphicons glyphicons-edit"></span> Editar</a></li>

                                            <li><a class="remove_list_item"
                                                    href="{{url_for('upload_delete',
                                                    media_type=item.media.media_type,
                                                    title_unique=item.media.title_unique,
                                                    upload_hash=item.hash)}}"
                                                >
                                                <span class="glyphicons glyphicons-remove"></span> Eliminar</a></li>
                                        {% else %}
                                        <ul>
                                            <li>
                                                <a class="list_item_rating"
                                                {% if item.provider() == "DIRECTO" %}
                                                   href="{{url_for('ver', encoded_uri=item.encode(item.uri))}}" target="_blank">
                                                {% else %}
                                                    href="{{item.uri}}" target="_blank">
                                                {% endif %}
                                                    <span class="glyphicons glyphicons-play"></span> {{item.provider()}}
                                                </a>
                                            </li>

                                            {% if   item.status == "PREVIEW" %}
                                            <li><a class="publish_list_item"
                                                   href="{{url_for('upload_publish',
                                                    media_type=item.media.media_type,
                                                    title_unique=item.media.title_unique,
                                                    upload_hash=item.hash)}}"
                                                 >
                                                <span class="glyphicons glyphicons-send"></span> Publicar</a></li>
                                            {% elif   item.status == "ACTIVE" %}
                                            <li><a class="unpublish_list_item"
                                                    href="{{url_for('upload_unpublish',
                                                    media_type=item.media.media_type,
                                                    title_unique=item.media.title_unique,
                                                    upload_hash=item.hash)}}"
                                                 >
                                                <span class="glyphicons glyphicons-minus"></span> Desactivar</a></li>
                                            {% else %}
                                            <li><span class="glyphicons glyphicons-send"></span> Publicar</li>
                                            {% endif %}

                                            <li><a class="add_media_to_list"
                                                    href="{{url_for('upload_edit',
                                                    media_type=item.media.media_type,
                                                    title_unique=item.media.title_unique,
                                                    upload_hash=item.hash)}}"
                                                >
                                                <span class="glyphicons glyphicons-edit"></span> Editar</a></li>

                                            <li><a class="remove_list_item"
                                                   href="{{url_for('upload_delete',
                                                    media_type=item.media.media_type,
                                                    title_unique=item.media.title_unique,
                                                    upload_hash=item.hash)}}"
                                                >
                                                <span class="glyphicons glyphicons-remove"></span> Eliminar</a></li>
                                        {% endif %}
                                        </ul>
                                    </div>

                                </div>

                                <script>
                                    $(function() {
                                        {% if media_type == "peli" %}
                                        $('.user_score_chart.{{item.hash}}').easyPieChart({
                                        {% else %}
                                        $('.user_score_chart.{{item.episode.hash}}').easyPieChart({
                                        {% endif %}
                                            lineCap: 'round',
                                            lineWidth: 3,
                                            scaleColor: false,
                                            size: 32,
                                            animate: {
                                                enabled: false
                                            }
                                        });
                                    });
                                </script>
                            </div>

                            {% endfor %}

                            {% if uploads.pages > 1 %}
                                {% import "macros.html.j2" as macros %}
                                {{ macros.render_pagination(request, uploads) }}
                            {% endif  %}

                        </div>

                    {% endif %}
                    <!--#findmefindme-->
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
